/*
 * @(#)EnumIterable.java  1.0  2011-01-03
 * 
 * Copyright © 2011 Werner Randelshofer, Immensee, Switzerland.
 * All rights reserved.
 * 
 * You may not use, copy or modify this file, except in compliance with the
 * license agreement you entered into with Werner Randelshofer.
 * For details see accompanying license terms.
 */
package ch.randelshofer.util;

import java.util.Enumeration;
import java.util.Iterator;

/**
 * {@code EnumIterable}.
 *
 * @author Werner Randelshofer
 * @version 1.0 2011-01-03 Created.
 */
public class EnumIterable<T> implements Iterable<T> {

    private Iterator<T> iter;

    public EnumIterable(Enumeration<T> e) {
        iter = new EnumIterator<T>(e);
    }

    @Override
    public Iterator<T> iterator() {
        return iter;
    }
}
